Local tuya configure device

Hi,

I’m getting issues adding devices; I can’t add anyone. I see them when I try to submit one, I’m getting this issue:

Connection to device succeeded but no datapoints found, please try again. Create a new issue and include debug logs if problem persists.

I’ve enabled debug logs and getting this:

2023-05-18 23:47:42.212 ERROR (MainThread) [custom_components.localtuya.pytuya] [023...78a] Failed to get status: 
Traceback (most recent call last):
  File "/usr/local/lib/python3.10/asyncio/locks.py", line 390, in acquire
    await fut
asyncio.exceptions.CancelledError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.10/asyncio/tasks.py", line 456, in wait_for
    return fut.result()
asyncio.exceptions.CancelledError

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/config/custom_components/localtuya/pytuya/__init__.py", line 863, in detect_available_dps
    data = await self.status()
  File "/config/custom_components/localtuya/pytuya/__init__.py", line 795, in status
    status = await self.exchange(DP_QUERY)
  File "/config/custom_components/localtuya/pytuya/__init__.py", line 769, in exchange
    msg = await self.dispatcher.wait_for(seqno, payload.cmd)
  File "/config/custom_components/localtuya/pytuya/__init__.py", line 450, in wait_for
    await asyncio.wait_for(self.listeners[seqno].acquire(), timeout=timeout)
  File "/usr/local/lib/python3.10/asyncio/tasks.py", line 458, in wait_for
    raise exceptions.TimeoutError() from exc
asyncio.exceptions.TimeoutError
2023-05-18 23:47:42.214 DEBUG (MainThread) [custom_components.localtuya.config_flow] Initial state update failed (), trying reset command
2023-05-18 23:47:42.214 DEBUG (MainThread) [custom_components.localtuya.config_flow] No DPS able to be detected: object of type 'NoneType' has no len()
2023-05-18 23:47:42.217 DEBUG (MainThread) [custom_components.localtuya.config_flow] Detected DPS: {}

Any idea of what should I do to add them? I’ve 3 of them and can’t add anyone.

Thanks in advance